package cn.iocoder.yudao.module.portal.dal.mysql.city;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.portal.dal.dataobject.city.CityDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.portal.controller.admin.city.vo.*;

/**
 * 城市 Mapper
 *
 * @author 篮智科技
 */
@Mapper
public interface CityMapper extends BaseMapperX<CityDO> {

    default PageResult<CityDO> selectPage(CityPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<CityDO>()
                .likeIfPresent(CityDO::getName, reqVO.getName())
                .eqIfPresent(CityDO::getCode, reqVO.getCode())
                .betweenIfPresent(CityDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(CityDO::getId));
    }

}